---
## Fix port 53 conflict:
- name: remove Dnsmasq if Desktop
  become: true
  dnf:
    name: dnsmasq
    state: absent
  notify: reboot

- name: force restart, to fix `docker_image pull` and open port 53
  meta: flush_handlers

# Running reboot before pull Fixes it!!!
- name: pull coredns/coredns
  docker_image:
    name: coredns/coredns
    source: pull
